public class Script
{
	[Start]
	public void AutoTreat(String ProjectName)
	{
		Progress progress = new Progress("SimpleProgress");
		progress.BeginPart(100,"");
		progress.SetAllowCancel(true);
		if(!progress.Canceled())
		{
			progress.BeginPart(50,"Labelling");
			ActionCallingContext labellingContext4 = new ActionCallingContext ();
			labellingContext4.AddParameter("CONFIGSCHEME","ERA BMK Ausgabe");
			labellingContext4.AddParameter("DESTINATIONFILE",@"$(P)\Bauteil.prn");
			labellingContext4.AddParameter("FILTERSCHEME","");
			labellingContext4.AddParameter("LANGUAGE","de_DE");
			labellingContext4.AddParameter("LogMsgActionDone","true");
			labellingContext4.AddParameter("SHOWOUTPUT","0");
			labellingContext4.AddParameter("PROJECTNAME",ProjectName);
			labellingContext4.AddParameter("RECREPEAT","1");
			labellingContext4.AddParameter("SORTSCHEME","");
			labellingContext4.AddParameter("TASKREPEAT","1");
			new CommandLineInterpreter().Execute("label",labellingContext4);
			progress.EndPart();
		}
		
		if(!progress.Canceled())
		{
			progress.BeginPart(50,"Print");
			ActionCallingContext printContext4 = new ActionCallingContext ();
			printContext4.AddParameter("LogMsgActionDone","true");
			printContext4.AddParameter("NUMBER","1");
			printContext4.AddParameter("PRINTCHANGEDPAGES","0");
			printContext4.AddParameter("PRINTREVERSE","0");
			printContext4.AddParameter("PRINTCOLLATE","0");
			printContext4.AddParameter("PRINTERNAME",@"\\era-server1\EG-B2-KOP-FAX");
			printContext4.AddParameter("PROJECTNAME",ProjectName);
			printContext4.AddParameter("TYPE","PROJECT");
			new CommandLineInterpreter().Execute("print",printContext4);
			progress.EndPart();
		}
		
		progress.EndPart(true);
	}
}
